#include <looptime.h>

#include <Wire.h>
#include <bmp085.h>


void setup()
{
  Serial.begin(9600);
  bmp085_init();
}

float temp,atm,alt;
long pres;


#define LOOPTIME 100
unsigned long i=0;

void loop()
{
  Serial.print(i); 
  Serial.print(" , ");
  i+= LOOPTIME;
  Serial.print(looptime(100)); 
  Serial.print(" , ");

  Serial.print(analogRead(0));
  Serial.print(" , "); 
  Serial.print(analogRead(2)); 
  Serial.print(" , ");
  Serial.print(analogRead(3)); 
  Serial.print(" , ");
  Serial.print(analogRead(1)); 
  Serial.print(" , ");
  temp = bmp085Temp(); 
  pres = bmp085Pressure(); 

  alt = bmp085PascalToMeter(pres,101580);  
  Serial.print(temp);  
  Serial.print(" , ");
  Serial.print(pres);  
  Serial.print(" , ");

  Serial.println(alt);  

}








